Profile custom DSP block
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/dsp/{dspId}/profile \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"params": {
"scale-axes": "10"
}
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/dsp/{dspId}/profile"
payload = { "params": { "scale-axes": "10" } }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({params: {'scale-axes': '10'}})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/dsp/{dspId}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": 12873488112,
"error": "<string>"
}Profile custom DSP block
Returns performance characteristics for a custom DSP block (needs hasTfliteImplementation). Updates are streamed over the websocket API (or can be retrieved through the /stdout endpoint). Use getProfileTfliteJobResult to get the results when the job is completed.
POST
/
api
/
{projectId}
/
dsp
/
{dspId}
/
profile
Profile custom DSP block
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
DSP Block ID, use the impulse functions to retrieve the ID
Body
application/json
DSP parameters with values
Show child attributes
Show child attributes
Example:
{ "scale-axes": "10" }
Was this page helpful?
⌘I